Package io.dapr.v1

# Class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub

java.lang.Object
io.grpc.stub.AbstractStub<S>
io.grpc.stub.AbstractBlockingStub<AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub>
io.dapr.v1.AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub

Enclosing class:
  AppCallbackHealthCheckGrpc

public static final class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub extends io.grpc.stub.AbstractBlockingStub<AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub>
A stub to allow clients to do limited synchronous rpc calls to service AppCallbackHealthCheck.

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

  `io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub`
  `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
  `DaprAppCallbackProtos.HealthCheckResponse`
  `healthCheck(com.google.protobuf.Empty request)`
  Health check.

  ### Methods inherited from class io.grpc.stub.AbstractBlockingStub

  `newStub, newStub`

  ### Methods inherited from class io.grpc.stub.AbstractStub

  `getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    protected AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
    Specified by:
      `build` in class `io.grpc.stub.AbstractStub<AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub>`

  - ### healthCheck

    public DaprAppCallbackProtos.HealthCheckResponse healthCheck(com.google.protobuf.Empty request)

         Health check.